﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

using System.Xml.Serialization;

// 
// This source code was auto-generated by xsd, Version=4.0.30319.33440.
// 
namespace FE_FX
{

    using System.Xml.Serialization;

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class Pagosaextranjeros
    {

        private PagosaextranjerosNoBeneficiario noBeneficiarioField;

        private PagosaextranjerosBeneficiario beneficiarioField;

        private string versionField;

        private PagosaextranjerosEsBenefEfectDelCobro esBenefEfectDelCobroField;

        public Pagosaextranjeros()
        {
            this.versionField = "1.0";
        }

        /// <comentarios/>
        public PagosaextranjerosNoBeneficiario NoBeneficiario
        {
            get
            {
                return this.noBeneficiarioField;
            }
            set
            {
                this.noBeneficiarioField = value;
            }
        }

        /// <comentarios/>
        public PagosaextranjerosBeneficiario Beneficiario
        {
            get
            {
                return this.beneficiarioField;
            }
            set
            {
                this.beneficiarioField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                this.versionField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public PagosaextranjerosEsBenefEfectDelCobro EsBenefEfectDelCobro
        {
            get
            {
                return this.esBenefEfectDelCobroField;
            }
            set
            {
                this.esBenefEfectDelCobroField = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/esquemas/retencionpago/1/pagosaextranjeros")]
    public partial class PagosaextranjerosNoBeneficiario
    {

        private c_Paispagoextranjero paisDeResidParaEfecFiscField;

        private c_TipoContribuyenteSujetoRetencion conceptoPagoField;

        private string descripcionConceptoField;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public c_Paispagoextranjero PaisDeResidParaEfecFisc
        {
            get
            {
                return this.paisDeResidParaEfecFiscField;
            }
            set
            {
                this.paisDeResidParaEfecFiscField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public c_TipoContribuyenteSujetoRetencion ConceptoPago
        {
            get
            {
                return this.conceptoPagoField;
            }
            set
            {
                this.conceptoPagoField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string DescripcionConcepto
        {
            get
            {
                return this.descripcionConceptoField;
            }
            set
            {
                this.descripcionConceptoField = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://www.sat.gob.mx/esquemas/retencionpago/1/pagosaextranjeros")]
    public enum c_Paispagoextranjero
    {

        /// <comentarios/>
        AF,

        /// <comentarios/>
        AL,

        /// <comentarios/>
        DE,

        /// <comentarios/>
        AD,

        /// <comentarios/>
        AO,

        /// <comentarios/>
        AI,

        /// <comentarios/>
        AQ,

        /// <comentarios/>
        AG,

        /// <comentarios/>
        AN,

        /// <comentarios/>
        SA,

        /// <comentarios/>
        DZ,

        /// <comentarios/>
        AR,

        /// <comentarios/>
        AM,

        /// <comentarios/>
        AW,

        /// <comentarios/>
        AU,

        /// <comentarios/>
        AT,

        /// <comentarios/>
        AZ,

        /// <comentarios/>
        BS,

        /// <comentarios/>
        BH,

        /// <comentarios/>
        BD,

        /// <comentarios/>
        BB,

        /// <comentarios/>
        BE,

        /// <comentarios/>
        BZ,

        /// <comentarios/>
        BJ,

        /// <comentarios/>
        BM,

        /// <comentarios/>
        BY,

        /// <comentarios/>
        BO,

        /// <comentarios/>
        BA,

        /// <comentarios/>
        BW,

        /// <comentarios/>
        BR,

        /// <comentarios/>
        BN,

        /// <comentarios/>
        BG,

        /// <comentarios/>
        BF,

        /// <comentarios/>
        BI,

        /// <comentarios/>
        BT,

        /// <comentarios/>
        CV,

        /// <comentarios/>
        TD,

        /// <comentarios/>
        KY,

        /// <comentarios/>
        KH,

        /// <comentarios/>
        CM,

        /// <comentarios/>
        CA,

        /// <comentarios/>
        CL,

        /// <comentarios/>
        CN,

        /// <comentarios/>
        CY,

        /// <comentarios/>
        VA,

        /// <comentarios/>
        CC,

        /// <comentarios/>
        CO,

        /// <comentarios/>
        KM,

        /// <comentarios/>
        CG,

        /// <comentarios/>
        CK,

        /// <comentarios/>
        KP,

        /// <comentarios/>
        KR,

        /// <comentarios/>
        CI,

        /// <comentarios/>
        CR,

        /// <comentarios/>
        HR,

        /// <comentarios/>
        CU,

        /// <comentarios/>
        DK,

        /// <comentarios/>
        DJ,

        /// <comentarios/>
        DM,

        /// <comentarios/>
        EC,

        /// <comentarios/>
        EG,

        /// <comentarios/>
        SV,

        /// <comentarios/>
        AE,

        /// <comentarios/>
        ER,

        /// <comentarios/>
        SI,

        /// <comentarios/>
        ES,

        /// <comentarios/>
        FM,

        /// <comentarios/>
        US,

        /// <comentarios/>
        EE,

        /// <comentarios/>
        ET,

        /// <comentarios/>
        FJ,

        /// <comentarios/>
        PH,

        /// <comentarios/>
        FI,

        /// <comentarios/>
        FR,

        /// <comentarios/>
        GA,

        /// <comentarios/>
        GM,

        /// <comentarios/>
        GE,

        /// <comentarios/>
        GH,

        /// <comentarios/>
        GI,

        /// <comentarios/>
        GD,

        /// <comentarios/>
        GR,

        /// <comentarios/>
        GL,

        /// <comentarios/>
        GP,

        /// <comentarios/>
        GU,

        /// <comentarios/>
        GT,

        /// <comentarios/>
        GG,

        /// <comentarios/>
        GW,

        /// <comentarios/>
        GQ,

        /// <comentarios/>
        GN,

        /// <comentarios/>
        GF,

        /// <comentarios/>
        GY,

        /// <comentarios/>
        HT,

        /// <comentarios/>
        HN,

        /// <comentarios/>
        HK,

        /// <comentarios/>
        HU,

        /// <comentarios/>
        IN,

        /// <comentarios/>
        ID,

        /// <comentarios/>
        IQ,

        /// <comentarios/>
        IR,

        /// <comentarios/>
        IE,

        /// <comentarios/>
        IS,

        /// <comentarios/>
        BV,

        /// <comentarios/>
        IM,

        /// <comentarios/>
        AX,

        /// <comentarios/>
        FO,

        /// <comentarios/>
        GS,

        /// <comentarios/>
        HM,

        /// <comentarios/>
        FK,

        /// <comentarios/>
        MP,

        /// <comentarios/>
        MH,

        /// <comentarios/>
        UM,

        /// <comentarios/>
        SB,

        /// <comentarios/>
        SJ,

        /// <comentarios/>
        TK,

        /// <comentarios/>
        WF,

        /// <comentarios/>
        IL,

        /// <comentarios/>
        IT,

        /// <comentarios/>
        JM,

        /// <comentarios/>
        JP,

        /// <comentarios/>
        JE,

        /// <comentarios/>
        JO,

        /// <comentarios/>
        KZ,

        /// <comentarios/>
        KE,

        /// <comentarios/>
        KI,

        /// <comentarios/>
        KW,

        /// <comentarios/>
        KG,

        /// <comentarios/>
        LS,

        /// <comentarios/>
        LV,

        /// <comentarios/>
        LB,

        /// <comentarios/>
        LR,

        /// <comentarios/>
        LY,

        /// <comentarios/>
        LI,

        /// <comentarios/>
        LT,

        /// <comentarios/>
        LU,

        /// <comentarios/>
        MO,

        /// <comentarios/>
        MK,

        /// <comentarios/>
        MG,

        /// <comentarios/>
        MY,

        /// <comentarios/>
        MW,

        /// <comentarios/>
        MV,

        /// <comentarios/>
        ML,

        /// <comentarios/>
        MT,

        /// <comentarios/>
        MA,

        /// <comentarios/>
        MQ,

        /// <comentarios/>
        MU,

        /// <comentarios/>
        MR,

        /// <comentarios/>
        YT,

        /// <comentarios/>
        MX,

        /// <comentarios/>
        MD,

        /// <comentarios/>
        MC,

        /// <comentarios/>
        MN,

        /// <comentarios/>
        MS,

        /// <comentarios/>
        ME,

        /// <comentarios/>
        MZ,

        /// <comentarios/>
        MM,

        /// <comentarios/>
        NA,

        /// <comentarios/>
        NR,

        /// <comentarios/>
        CX,

        /// <comentarios/>
        NP,

        /// <comentarios/>
        NI,

        /// <comentarios/>
        NE,

        /// <comentarios/>
        NG,

        /// <comentarios/>
        NU,

        /// <comentarios/>
        NF,

        /// <comentarios/>
        NO,

        /// <comentarios/>
        NC,

        /// <comentarios/>
        NZ,

        /// <comentarios/>
        OM,

        /// <comentarios/>
        PIK,

        /// <comentarios/>
        NL,

        /// <comentarios/>
        PK,

        /// <comentarios/>
        PW,

        /// <comentarios/>
        PS,

        /// <comentarios/>
        PA,

        /// <comentarios/>
        PG,

        /// <comentarios/>
        PY,

        /// <comentarios/>
        PE,

        /// <comentarios/>
        PN,

        /// <comentarios/>
        PF,

        /// <comentarios/>
        PL,

        /// <comentarios/>
        PT,

        /// <comentarios/>
        PR,

        /// <comentarios/>
        QA,

        /// <comentarios/>
        GB,

        /// <comentarios/>
        CZ,

        /// <comentarios/>
        CF,

        /// <comentarios/>
        LA,

        /// <comentarios/>
        RS,

        /// <comentarios/>
        DO,

        /// <comentarios/>
        SK,

        /// <comentarios/>
        CD,

        /// <comentarios/>
        RW,

        /// <comentarios/>
        RE,

        /// <comentarios/>
        RO,

        /// <comentarios/>
        RU,

        /// <comentarios/>
        EH,

        /// <comentarios/>
        WS,

        /// <comentarios/>
        AS,

        /// <comentarios/>
        BL,

        /// <comentarios/>
        KN,

        /// <comentarios/>
        SM,

        /// <comentarios/>
        MF,

        /// <comentarios/>
        PM,

        /// <comentarios/>
        VC,

        /// <comentarios/>
        SH,

        /// <comentarios/>
        LC,

        /// <comentarios/>
        ST,

        /// <comentarios/>
        SN,

        /// <comentarios/>
        SC,

        /// <comentarios/>
        SL,

        /// <comentarios/>
        SG,

        /// <comentarios/>
        SY,

        /// <comentarios/>
        SO,

        /// <comentarios/>
        LK,

        /// <comentarios/>
        ZA,

        /// <comentarios/>
        SD,

        /// <comentarios/>
        SE,

        /// <comentarios/>
        CH,

        /// <comentarios/>
        SR,

        /// <comentarios/>
        SZ,

        /// <comentarios/>
        TJ,

        /// <comentarios/>
        TH,

        /// <comentarios/>
        TW,

        /// <comentarios/>
        TZ,

        /// <comentarios/>
        IO,

        /// <comentarios/>
        TF,

        /// <comentarios/>
        TL,

        /// <comentarios/>
        TG,

        /// <comentarios/>
        TO,

        /// <comentarios/>
        TT,

        /// <comentarios/>
        TN,

        /// <comentarios/>
        TC,

        /// <comentarios/>
        TM,

        /// <comentarios/>
        TR,

        /// <comentarios/>
        TV,

        /// <comentarios/>
        UA,

        /// <comentarios/>
        UG,

        /// <comentarios/>
        UY,

        /// <comentarios/>
        UZ,

        /// <comentarios/>
        VU,

        /// <comentarios/>
        VE,

        /// <comentarios/>
        VN,

        /// <comentarios/>
        VG,

        /// <comentarios/>
        VI,

        /// <comentarios/>
        YE,

        /// <comentarios/>
        ZM,

        /// <comentarios/>
        ZW,
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://www.sat.gob.mx/esquemas/retencionpago/1/pagosaextranjeros")]
    public enum c_TipoContribuyenteSujetoRetencion
    {

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("1")]
        Item1,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("2")]
        Item2,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("3")]
        Item3,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("4")]
        Item4,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("5")]
        Item5,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("6")]
        Item6,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("7")]
        Item7,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("8")]
        Item8,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("9")]
        Item9,
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/esquemas/retencionpago/1/pagosaextranjeros")]
    public partial class PagosaextranjerosBeneficiario
    {

        private string rFCField;

        private string cURPField;

        private string nomDenRazSocBField;

        private c_TipoContribuyenteSujetoRetencion conceptoPagoField;

        private string descripcionConceptoField;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string CURP
        {
            get
            {
                return this.cURPField;
            }
            set
            {
                this.cURPField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NomDenRazSocB
        {
            get
            {
                return this.nomDenRazSocBField;
            }
            set
            {
                this.nomDenRazSocBField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public c_TipoContribuyenteSujetoRetencion ConceptoPago
        {
            get
            {
                return this.conceptoPagoField;
            }
            set
            {
                this.conceptoPagoField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string DescripcionConcepto
        {
            get
            {
                return this.descripcionConceptoField;
            }
            set
            {
                this.descripcionConceptoField = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/esquemas/retencionpago/1/pagosaextranjeros")]
    public enum PagosaextranjerosEsBenefEfectDelCobro
    {

        /// <comentarios/>
        SI,

        /// <comentarios/>
        NO,
    }
}